Package org.eclipse.net4j.util.security

## Class DiffieHellman.Client

- java.lang.Object
- - org.eclipse.net4j.util.security.DiffieHellman.Client

- Enclosing class:
    DiffieHellman

      public static class DiffieHellman.Client
      extends java.lang.Object

  Executes the client-side of the Diffie-Hellman key agreement protocol.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `DiffieHellman.Client.Response` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Client()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DiffieHellman.Client.Response` | `handleChallenge​(DiffieHellman.Server.Challenge challenge, byte[] clearText)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Client

          public Client()

  - ### Method Detail

    - #### handleChallenge

          public DiffieHellman.Client.Response handleChallenge​(DiffieHellman.Server.Challenge challenge,
                                                               byte[] clearText)